curl --request PATCH \
--url https://api.lithoblocks.com/v1/queues/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"execution_config": {},
"destination": {
"channel_id": "<string>"
},
"aggregation_config": {
"item_mapping": {},
"aggregate_mapping": {},
"items_key": "<string>"
},
"credit_cost": 50,
"is_active": true
}
'import requests
url = "https://api.lithoblocks.com/v1/queues/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"execution_config": {},
"destination": { "channel_id": "<string>" },
"aggregation_config": {
"item_mapping": {},
"aggregate_mapping": {},
"items_key": "<string>"
},
"credit_cost": 50,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
execution_config: {},
destination: {channel_id: '<string>'},
aggregation_config: {item_mapping: {}, aggregate_mapping: {}, items_key: '<string>'},
credit_cost: 50,
is_active: true
})
};
fetch('https://api.lithoblocks.com/v1/queues/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"template_id": "<string>",
"template_version_id": "<string>",
"execution_mode": "fixed_interval",
"execution_config": {},
"destination": {
"channel_id": "<string>"
},
"aggregation_config": {
"item_mapping": {},
"aggregate_mapping": {},
"items_key": "<string>"
},
"credit_cost": 123,
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>",
"pending_event_count": 123,
"active_batch": {
"id": "<string>",
"status": "collecting",
"event_count": 123,
"window_start": "<string>",
"window_end": "<string>",
"created_at": "<string>",
"processed_at": "<string>",
"error_message": "<string>"
}
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"success": false,
"error": {
"issues": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"name": "<string>"
},
"message": "<string>",
"code": "validation_failed",
"request_id": "<string>"
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}Update a queue
Authorizations
LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.
Path Parameters
Body
Fields to change
1 - 2552000Canonical keys per execution_mode: fixed_interval → { interval_minutes }; rolling_window → { window_minutes }; fixed_volume → { event_threshold, max_wait_minutes }
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
1 <= x <= 100false pauses the queue: events are refused with 409 invalid_state and nothing is sent until it is resumed
Response
Updated
fixed_interval, rolling_window, fixed_volume Canonical keys per execution_mode: fixed_interval → { interval_minutes }; rolling_window → { window_minutes }; fixed_volume → { event_threshold, max_wait_minutes }
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Events waiting in the open batch
Show child attributes
Show child attributes

